# Notebooks

## Seldon Core Setup

* [Install Seldon Core](/seldon-core-1/tutorials/notebooks/seldon-core-setup.md)
* [Install MinIO](/seldon-core-1/tutorials/notebooks/minio_setup.md)

## Prepackaged Inference Server Examples

* [Deploy a Scikit-learn Model Binary](/seldon-core-1/configuration/servers/sklearn.md)
* [Deploy a Tensorflow Exported Model](/seldon-core-1/configuration/servers/tensorflow.md)
* [MLflow Pre-packaged Model Server A/B Test](/seldon-core-1/tutorials/notebooks/mlflow_server_ab_test_ambassador.md)
* [MLflow Open Inference Protocol End to End Workflow](/seldon-core-1/tutorials/notebooks/mlflow_v2_protocol_end_to_end.md)
* [Deploy a XGBoost Model Binary](/seldon-core-1/configuration/servers/xgboost.md)
* [Deploy Pre-packaged Model Server with Cluster's MinIO](/seldon-core-1/tutorials/notebooks/minio-sklearn.md)
* [Custom Pre-packaged LightGBM Server](/seldon-core-1/tutorials/notebooks/custom_server.md)

## Python Language Wrapper Examples

* [SKLearn Spacy NLP](/seldon-core-1/tutorials/notebooks/sklearn_spacy_text_classifier_example.md)
* [SKLearn Iris Classifier](/seldon-core-1/tutorials/notebooks/iris.md)
* [Sagemaker SKLearn Example](/seldon-core-1/tutorials/notebooks/sagemaker_sklearn.md)
* [TFserving MNIST](/seldon-core-1/tutorials/notebooks/tfserving_mnist.md)
* [Statsmodels Holt-Winter's time-series model](/seldon-core-1/tutorials/notebooks/statsmodels.md)
* [Runtime Metrics & Tags](/seldon-core-1/tutorials/notebooks/runtime_metrics_tags.md)
* [Triton GPT2 Example](/seldon-core-1/tutorials/notebooks/triton_gpt2_example.md)

## Specialized Framework Examples

* [NVIDIA TensorRT MNIST](/seldon-core-1/tutorials/notebooks/tensorrt.md)
* [Triton Examples](/seldon-core-1/tutorials/notebooks/triton_examples.md)

## Incubating Projects Examples

* [Kubeflow Seldon E2E Pipeline](/seldon-core-1/tutorials/notebooks/kubeflow_seldon_e2e_pipeline.md)
* [H2O Java MoJo](https://github.com/SeldonIO/seldon-core/blob/master/docs-gb/notebooks/h2o_mojo.md)
* [Outlier Detection with Combiner](/seldon-core-1/tutorials/notebooks/outlier_combiner.md)
* [Stream Processing with KNative Eventing](/seldon-core-1/tutorials/notebooks/knative_eventing_streaming.md)
* [Kafka CIFAR10](/seldon-core-1/tutorials/notebooks/cifar10_kafka.md)
* [Kafka SpaCy SKlearn NLP](/seldon-core-1/tutorials/notebooks/kafka_spacy_sklearn.md)
* [Kafka KEDA Autoscaling](/seldon-core-1/tutorials/notebooks/kafka_keda.md)
* [CPP Wrapper Simple Single File](/seldon-core-1/tutorials/notebooks/cpp_simple.md)
* [Advanced CPP Buildsystem Override](/seldon-core-1/tutorials/notebooks/cpp_advanced.md)
* [Environment Variables](/seldon-core-1/tutorials/notebooks/cpp_advanced.md#environment-variables)

## Cloud-Specific Examples

* [AWS EKS Tensorflow Deep MNIST](/seldon-core-1/tutorials/notebooks/aws_eks_deep_mnist.md)
* [Azure AKS Tensorflow Deep MNIST](/seldon-core-1/tutorials/notebooks/azure_aks_deep_mnist.md)
* [GKE with GPU Tensorflow Deep MNIST](/seldon-core-1/tutorials/notebooks/gpu_tensorflow_deep_mnist.md)
* [Alibaba Cloud Tensorflow Deep MNIST](/seldon-core-1/tutorials/notebooks/alibaba_cloud_ack_deep_mnist.md)
* [Triton GPT2 Example Azure](/seldon-core-1/tutorials/notebooks/triton_gpt2_example_azure.md)
* [Setup for Triton GPT2 Example Azure](/seldon-core-1/tutorials/notebooks/triton_gpt2_example_azure_setup.md)

## Advanced Machine Learning Monitoring

* [Real Time Monitoring of Statistical Metrics](/seldon-core-1/tutorials/notebooks/feedback_reward_custom_metrics.md)
* [Model Explainer Example](/seldon-core-1/tutorials/notebooks/iris_explainer_poetry.md)
* [Model Explainer Open Inference Protocol Example](/seldon-core-1/tutorials/notebooks/iris_anchor_tabular_explainer_v2.md)
* [Outlier Detection on CIFAR10](/seldon-core-1/tutorials/notebooks/outlier_cifar10.md)
* [Training Outlier Detector for CIFAR10 with Poetry](/seldon-core-1/tutorials/notebooks/cifar10_od_poetry.md)

## Batch Processing with Seldon Core

* [Batch Processing with Argo Workflows and S3 / Minio](/seldon-core-1/tutorials/notebooks/argo_workflows_batch.md)
* [Batch Processing with Argo Workflows and HDFS](/seldon-core-1/tutorials/notebooks/argo_workflows_hdfs_batch.md)
* [Batch Processing with Kubeflow Pipelines](/seldon-core-1/tutorials/notebooks/kubeflow_pipelines_batch.md)

## MLOps: Scaling and Monitoring and Observability

* [Autoscaling Example](/seldon-core-1/tutorials/notebooks/autoscaling_example.md)
* [KEDA Autoscaling example](/seldon-core-1/tutorials/notebooks/keda.md)
* [Request Payload Logging with ELK](/seldon-core-1/tutorials/notebooks/payload_logging.md)
* [Custom Metrics with Grafana & Prometheus](/seldon-core-1/tutorials/notebooks/metrics.md)
* [Distributed Tracing with Jaeger](/seldon-core-1/tutorials/notebooks/tracing.md)
* [Replica control](/seldon-core-1/tutorials/notebooks/scale.md)

## Production Configurations and Integrations

* [Example Helm Deployments](/seldon-core-1/tutorials/notebooks/helm_examples.md)
* [Max gRPC Message Size](/seldon-core-1/tutorials/notebooks/max_grpc_msg_size.md)
* [Deploy Multiple Seldon Core Operators](/seldon-core-1/tutorials/notebooks/multiple_operators.md)
* [Protocol Examples](/seldon-core-1/tutorials/notebooks/protocol_examples.md)
* [Configurable timeouts](/seldon-core-1/tutorials/notebooks/timeouts.md)
* [Custom Protobuf Data Example](/seldon-core-1/tutorials/notebooks/customdata_example.md)
* [Disruption Budgets Example](/seldon-core-1/tutorials/notebooks/pdbs_example.md)

## AB Tests and Progressive Rollouts

* [Istio AB Test](/seldon-core-1/tutorials/notebooks/istio_canary.md)
* [Ambassador AB Test](/seldon-core-1/tutorials/notebooks/ambassador_canary.md)
* [Seldon/Iter8 - Progressive AB Test with Single Seldon Deployment](/seldon-core-1/tutorials/notebooks/iter8-single.md)
* [Seldon/Iter8 - Progressive AB Test with Multiple Seldon Deployments](/seldon-core-1/tutorials/notebooks/iter8-separate.md)

## Complex Graph Examples

* [Chainer MNIST](/seldon-core-1/tutorials/notebooks/chainer_mnist.md)
* [Custom pre-processors with the Open Inference Protocol](/seldon-core-1/tutorials/notebooks/transformers-v2-protocol.md)
* [Graph Examples](/seldon-core-1/tutorials/notebooks/graph-examples.md)

## Ingress

* [Ambassador Canary](/seldon-core-1/tutorials/notebooks/ambassador_canary.md)
* [Ambassador Shadow](/seldon-core-1/tutorials/notebooks/ambassador_shadow.md)
* [Ambassador Headers](/seldon-core-1/tutorials/notebooks/ambassador_headers.md)
* [Istio Examples](/seldon-core-1/tutorials/notebooks/istio_examples.md)
* [Istio Canary](/seldon-core-1/tutorials/notebooks/istio_canary.md)

## Infrastructure

* [Patch Volumes for Version 1.2.0 Upgrade](/seldon-core-1/tutorials/notebooks/patch_1_2.md)

## Benchmarking and Load Tests

* [Service Orchestrator Overhead](/seldon-core-1/tutorials/notebooks/bench_svcorch.md)
* [Tensorflow Benchmark](/seldon-core-1/tutorials/notebooks/bench_tensorflow.md)
* [Argo Workflows Benchmarking](/seldon-core-1/tutorials/notebooks/vegeta_bench_argo_workflows.md)
* [Python Serialization Cost Benchmark](/seldon-core-1/tutorials/notebooks/python_serialization.md)
* [KMP\_AFFINITY Benchmarking Example](/seldon-core-1/tutorials/notebooks/python_kmp_affinity.md)
* [Kafka Payload Logging](/seldon-core-1/tutorials/notebooks/kafka_logger.md)

## Upgrading Examples

* [RClone Storage Initializer - testing new secret format](/seldon-core-1/tutorials/notebooks/rclone-upgrade.md)
* [RClone Storage Initializer - upgrading your cluster (AWS S3 / MinIO)](/seldon-core-1/tutorials/notebooks/global-rclone-upgrade.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seldon.ai/seldon-core-1/tutorials/notebooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
